CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-6797

An issue was discovered in Perl 5.18 through 5.26. A crafted regular expression can cause a heap-based buffer overflow, with control over the bytes written.
Publish Date : 2018-04-17 Last Update Date : 2019-09-06
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Overflow
CWE ID 119

- Products Affected By CVE-2018-6797

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 16.04 ~~lts~~~ Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 17.10 Version Details Vulnerabilities
3 OS Debian Debian Linux 8.0 Version Details Vulnerabilities
4 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
5 Application Perl Perl 5.18.4 Version Details Vulnerabilities
6 Application Perl Perl 5.20.0 - Version Details Vulnerabilities
7 Application Perl Perl 5.20.0 RC1 Version Details Vulnerabilities
8 Application Perl Perl 5.20.1 Version Details Vulnerabilities
9 Application Perl Perl 5.20.2 - Version Details Vulnerabilities
10 Application Perl Perl 5.20.2 RC1 Version Details Vulnerabilities
11 Application Perl Perl 5.20.3 Version Details Vulnerabilities
12 Application Perl Perl 5.21.0 Version Details Vulnerabilities
13 Application Perl Perl 5.21.1 Version Details Vulnerabilities
14 Application Perl Perl 5.21.2 Version Details Vulnerabilities
15 Application Perl Perl 5.21.3 Version Details Vulnerabilities
16 Application Perl Perl 5.21.4 Version Details Vulnerabilities
17 Application Perl Perl 5.21.5 Version Details Vulnerabilities
18 Application Perl Perl 5.21.6 Version Details Vulnerabilities
19 Application Perl Perl 5.21.7 Version Details Vulnerabilities
20 Application Perl Perl 5.21.8 Version Details Vulnerabilities
21 Application Perl Perl 5.21.9 Version Details Vulnerabilities
22 Application Perl Perl 5.21.10 Version Details Vulnerabilities
23 Application Perl Perl 5.21.11 Version Details Vulnerabilities
24 Application Perl Perl 5.22 Version Details Vulnerabilities
25 Application Perl Perl 5.22.0 RC2 Version Details Vulnerabilities
26 Application Perl Perl 5.22.0 - Version Details Vulnerabilities
27 Application Perl Perl 5.22.0 RC1 Version Details Vulnerabilities
28 Application Perl Perl 5.22.1 RC4 Version Details Vulnerabilities
29 Application Perl Perl 5.22.1 - Version Details Vulnerabilities
30 Application Perl Perl 5.22.1 RC1 Version Details Vulnerabilities
31 Application Perl Perl 5.22.1 RC2 Version Details Vulnerabilities
32 Application Perl Perl 5.22.1 RC3 Version Details Vulnerabilities
33 Application Perl Perl 5.22.2 - Version Details Vulnerabilities
34 Application Perl Perl 5.22.2 RC1 Version Details Vulnerabilities
35 Application Perl Perl 5.22.3 RC4 Version Details Vulnerabilities
36 Application Perl Perl 5.22.3 RC5 Version Details Vulnerabilities
37 Application Perl Perl 5.22.3 - Version Details Vulnerabilities
38 Application Perl Perl 5.22.3 RC2 Version Details Vulnerabilities
39 Application Perl Perl 5.22.3 RC1 Version Details Vulnerabilities
40 Application Perl Perl 5.22.3 RC3 Version Details Vulnerabilities
41 Application Perl Perl 5.22.4 - Version Details Vulnerabilities
42 Application Perl Perl 5.22.4 RC1 Version Details Vulnerabilities
43 Application Perl Perl 5.23.0 Version Details Vulnerabilities
44 Application Perl Perl 5.23.1 Version Details Vulnerabilities
45 Application Perl Perl 5.23.2 Version Details Vulnerabilities
46 Application Perl Perl 5.23.3 Version Details Vulnerabilities
47 Application Perl Perl 5.23.4 Version Details Vulnerabilities
48 Application Perl Perl 5.23.5 Version Details Vulnerabilities
49 Application Perl Perl 5.23.6 Version Details Vulnerabilities
50 Application Perl Perl 5.23.7 Version Details Vulnerabilities
51 Application Perl Perl 5.23.8 Version Details Vulnerabilities
52 Application Perl Perl 5.23.9 Version Details Vulnerabilities
53 Application Perl Perl 5.24.0 RC2 Version Details Vulnerabilities
54 Application Perl Perl 5.24.0 RC3 Version Details Vulnerabilities
55 Application Perl Perl 5.24.0 RC4 Version Details Vulnerabilities
56 Application Perl Perl 5.24.0 RC5 Version Details Vulnerabilities
57 Application Perl Perl 5.24.0 - Version Details Vulnerabilities
58 Application Perl Perl 5.24.0 RC1 Version Details Vulnerabilities
59 Application Perl Perl 5.24.1 RC1 Version Details Vulnerabilities
60 Application Perl Perl 5.24.1 RC2 Version Details Vulnerabilities
61 Application Perl Perl 5.24.1 RC3 Version Details Vulnerabilities
62 Application Perl Perl 5.24.1 RC4 Version Details Vulnerabilities
63 Application Perl Perl 5.24.1 RC5 Version Details Vulnerabilities
64 Application Perl Perl 5.24.1 - Version Details Vulnerabilities
65 Application Perl Perl 5.24.2 - Version Details Vulnerabilities
66 Application Perl Perl 5.24.2 RC1 Version Details Vulnerabilities
67 Application Perl Perl 5.24.3 - Version Details Vulnerabilities
68 Application Perl Perl 5.24.3 RC1 Version Details Vulnerabilities
69 Application Perl Perl 5.24.4 - Version Details Vulnerabilities
70 Application Perl Perl 5.24.4 RC1 Version Details Vulnerabilities
71 Application Perl Perl 5.25.0 Version Details Vulnerabilities
72 Application Perl Perl 5.25.1 Version Details Vulnerabilities
73 Application Perl Perl 5.25.2 Version Details Vulnerabilities
74 Application Perl Perl 5.25.3 Version Details Vulnerabilities
75 Application Perl Perl 5.25.4 Version Details Vulnerabilities
76 Application Perl Perl 5.25.5 Version Details Vulnerabilities
77 Application Perl Perl 5.25.6 Version Details Vulnerabilities
78 Application Perl Perl 5.25.7 Version Details Vulnerabilities
79 Application Perl Perl 5.25.8 Version Details Vulnerabilities
80 Application Perl Perl 5.25.9 Version Details Vulnerabilities
81 Application Perl Perl 5.25.10 Version Details Vulnerabilities
82 Application Perl Perl 5.25.11 Version Details Vulnerabilities
83 Application Perl Perl 5.25.12 Version Details Vulnerabilities
84 OS Redhat Enterprise Linux Server 7.0 Version Details Vulnerabilities
85 OS Redhat Enterprise Linux Server 7.3 Version Details Vulnerabilities
86 OS Redhat Enterprise Linux Server 7.4 Version Details Vulnerabilities
87 OS Redhat Enterprise Linux Server 7.5 Version Details Vulnerabilities
88 OS Redhat Enterprise Linux Server 7.6 Version Details Vulnerabilities
89 OS Redhat Enterprise Linux Workstation 6.0 Version Details Vulnerabilities
90 OS Redhat Enterprise Linux Workstation 7.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 2
Debian Debian Linux 2
Perl Perl 79
Redhat Enterprise Linux Server 5
Redhat Enterprise Linux Workstation 2

- References For CVE-2018-6797

https://www.debian.org/security/2018/dsa-4172
DEBIAN DSA-4172
https://rt.perl.org/Public/Bug/Display.html?id=132227 CONFIRM
https://usn.ubuntu.com/3625-1/
UBUNTU USN-3625-1
https://security.gentoo.org/glsa/201909-01
GENTOO GLSA-201909-01
https://access.redhat.com/errata/RHSA-2018:1192
REDHAT RHSA-2018:1192
http://www.securitytracker.com/id/1042004
SECTRACK 1042004
http://www.securitytracker.com/id/1040681
SECTRACK 1040681

- Metasploit Modules Related To CVE-2018-6797

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.